Package org.opensaml.xacml.ctx.impl

# Class StatusTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.ctx.impl.StatusTypeImpl

All Implemented Interfaces:
  `XMLObject`, `StatusType`, `XACMLObject`

public class StatusTypeImpl extends AbstractXACMLObject implements StatusType
Concrete implementation of `StatusType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private StatusCodeType`
`statusCode`
Status code.
`private StatusDetailType`
`statusDetail`
Status detail element.
`private StatusMessageType`
`statusMessage`
The status message.

### Fields inherited from interface org.opensaml.xacml.ctx.StatusType

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`StatusTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`StatusCodeType`
`getStatusCode()`
Gets the status code of status.
`StatusDetailType`
`getStatusDetail()`
Gets the status detail of status.
`StatusMessageType`
`getStatusMessage()`
Gets the status message of status.
`void`
`setStatusCode(StatusCodeType newStatusCode)`
Sets the status code for the Status.
`void`
`setStatusDetail(StatusDetailType newStatusDetail)`
Sets the status detail for the Status.
`void`
`setStatusMessage(StatusMessageType newStatusMessage)`
Sets the status message for the Status.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### statusCode

private StatusCodeType statusCode
Status code.

### statusMessage

private StatusMessageType statusMessage
The status message.

### statusDetail

private StatusDetailType statusDetail
Status detail element.

## Constructor Details

### StatusTypeImpl

protected StatusTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getStatusCode

public StatusCodeType getStatusCode()
Gets the status code of status.

Specified by:
  `getStatusCode` in interface `StatusType`
Returns:
  The status code of status

### setStatusCode

public void setStatusCode(StatusCodeType newStatusCode)
Sets the status code for the Status.

Specified by:
  `setStatusCode` in interface `StatusType`
Parameters:
  `newStatusCode` - The new status code

### getOrderedChildren

public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements

### getStatusMessage

public StatusMessageType getStatusMessage()
Gets the status message of status.

Specified by:
  `getStatusMessage` in interface `StatusType`
Returns:
  The status message of status

### setStatusMessage

public void setStatusMessage(StatusMessageType newStatusMessage)
Sets the status message for the Status.

Specified by:
  `setStatusMessage` in interface `StatusType`
Parameters:
  `newStatusMessage` - The new status message

### getStatusDetail

public StatusDetailType getStatusDetail()
Gets the status detail of status.

Specified by:
  `getStatusDetail` in interface `StatusType`
Returns:
  The status detail of status

### setStatusDetail

public void setStatusDetail(StatusDetailType newStatusDetail)
Sets the status detail for the Status.

Specified by:
  `setStatusDetail` in interface `StatusType`
Parameters:
  `newStatusDetail` - The new status message